USN-5515-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5515-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5515-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5515-1
Related
Published
2022-07-13T19:09:34Z
Modified
2022-07-13T19:09:34Z
Summary
linux, linux-aws, linux-aws-hwe, linux-azure, linux-azure-4.15, linux-dell300x, linux-gcp, linux-gcp-4.15, linux-hwe, linux-kvm, linux-oracle, linux-raspi2, linux-snapdragon vulnerabilities
Details

Eric Biederman discovered that the cgroup process migration implementation in the Linux kernel did not perform permission checks correctly in some situations. A local attacker could possibly use this to gain administrative privileges. (CVE-2021-4197)

Jann Horn discovered that the FUSE file system in the Linux kernel contained a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2022-1011)

Duoming Zhou discovered that the 6pack protocol implementation in the Linux kernel did not handle detach events properly in some situations, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash). (CVE-2022-1198)

Duoming Zhou discovered that the AX.25 amateur radio protocol implementation in the Linux kernel did not handle detach events properly in some situations. A local attacker could possibly use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-1199)

Duoming Zhou discovered race conditions in the AX.25 amateur radio protocol implementation in the Linux kernel during device detach operations. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-1204)

Duoming Zhou discovered race conditions in the AX.25 amateur radio protocol implementation in the Linux kernel, leading to use-after-free vulnerabilities. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-1205)

It was discovered that the PF_KEYv2 implementation in the Linux kernel did not properly initialize kernel memory in some situations. A local attacker could use this to expose sensitive information (kernel memory). (CVE-2022-1353)

It was discovered that the implementation of X.25 network protocols in the Linux kernel did not terminate link layer sessions properly. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-1516)

Zheyu Ma discovered that the Silicon Motion SM712 framebuffer driver in the Linux kernel did not properly handle very small reads. A local attacker could use this to cause a denial of service (system crash). (CVE-2022-2380)

It was discovered that the Microchip CAN BUS Analyzer interface implementation in the Linux kernel did not properly handle certain error conditions, leading to a double-free. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-28389)

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1146.161~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-modules-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-modules-extra-azure": "4.15.0.1146.115",
            "linux-signed-image-azure": "4.15.0.1146.115",
            "linux-azure": "4.15.0.1146.115",
            "linux-image-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-tools-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-signed-azure": "4.15.0.1146.115",
            "linux-buildinfo-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-azure-headers-4.15.0-1146": "4.15.0-1146.161~14.04.1",
            "linux-headers-azure": "4.15.0.1146.115",
            "linux-tools-azure": "4.15.0.1146.115",
            "linux-cloud-tools-azure": "4.15.0.1146.115",
            "linux-azure-cloud-tools-4.15.0-1146": "4.15.0-1146.161~14.04.1",
            "linux-image-unsigned-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-image-azure": "4.15.0.1146.115",
            "linux-headers-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-modules-extra-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1",
            "linux-azure-tools-4.15.0-1146": "4.15.0-1146.161~14.04.1",
            "linux-cloud-tools-4.15.0-1146-azure": "4.15.0-1146.161~14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-4.15

Package

Name
linux-gcp-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1131.147

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-gcp-lts-18.04": "4.15.0.1131.147",
            "linux-modules-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-gcp-4.15-tools-4.15.0-1131": "4.15.0-1131.147",
            "linux-headers-gcp-lts-18.04": "4.15.0.1131.147",
            "linux-image-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-tools-gcp-lts-18.04": "4.15.0.1131.147",
            "linux-gcp-lts-18.04": "4.15.0.1131.147",
            "linux-image-gcp-lts-18.04": "4.15.0.1131.147",
            "linux-image-unsigned-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-buildinfo-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-modules-extra-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-headers-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-tools-4.15.0-1131-gcp": "4.15.0-1131.147",
            "linux-gcp-4.15-headers-4.15.0-1131": "4.15.0-1131.147"
        }
    ]
}

Ubuntu:18.04:LTS / linux-dell300x

Package

Name
linux-dell300x

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1049.54

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-dell300x": "4.15.0.1049.49",
            "linux-image-4.15.0-1049-dell300x": "4.15.0-1049.54",
            "linux-dell300x-tools-4.15.0-1049": "4.15.0-1049.54",
            "linux-dell300x": "4.15.0.1049.49",
            "linux-image-unsigned-4.15.0-1049-dell300x": "4.15.0-1049.54",
            "linux-headers-4.15.0-1049-dell300x": "4.15.0-1049.54",
            "linux-dell300x-headers-4.15.0-1049": "4.15.0-1049.54",
            "linux-image-dell300x": "4.15.0.1049.49",
            "linux-tools-4.15.0-1049-dell300x": "4.15.0-1049.54",
            "linux-modules-4.15.0-1049-dell300x": "4.15.0-1049.54",
            "linux-headers-dell300x": "4.15.0.1049.49",
            "linux-buildinfo-4.15.0-1049-dell300x": "4.15.0-1049.54"
        }
    ]
}

Ubuntu:18.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1123.128

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "4.15.0.1123.116",
            "linux-image-4.15.0-1123-kvm": "4.15.0-1123.128",
            "linux-kvm": "4.15.0.1123.116",
            "linux-tools-4.15.0-1123-kvm": "4.15.0-1123.128",
            "linux-headers-4.15.0-1123-kvm": "4.15.0-1123.128",
            "linux-buildinfo-4.15.0-1123-kvm": "4.15.0-1123.128",
            "linux-tools-kvm": "4.15.0.1123.116",
            "linux-kvm-tools-4.15.0-1123": "4.15.0-1123.128",
            "linux-kvm-headers-4.15.0-1123": "4.15.0-1123.128",
            "linux-modules-4.15.0-1123-kvm": "4.15.0-1123.128",
            "linux-image-kvm": "4.15.0.1123.116"
        }
    ]
}

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1133.143

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-snapdragon": "4.15.0.1133.134",
            "linux-buildinfo-4.15.0-1133-snapdragon": "4.15.0-1133.143",
            "linux-image-snapdragon": "4.15.0.1133.134",
            "linux-snapdragon-tools-4.15.0-1133": "4.15.0-1133.143",
            "linux-tools-snapdragon": "4.15.0.1133.134",
            "linux-modules-4.15.0-1133-snapdragon": "4.15.0-1133.143",
            "linux-headers-4.15.0-1133-snapdragon": "4.15.0-1133.143",
            "linux-snapdragon": "4.15.0.1133.134",
            "linux-tools-4.15.0-1133-snapdragon": "4.15.0-1133.143",
            "linux-snapdragon-headers-4.15.0-1133": "4.15.0-1133.143",
            "linux-image-4.15.0-1133-snapdragon": "4.15.0-1133.143"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1137.148

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-aws-cloud-tools-4.15.0-1137": "4.15.0-1137.148",
            "linux-modules-extra-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-aws-tools-4.15.0-1137": "4.15.0-1137.148",
            "linux-buildinfo-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-headers-aws-lts-18.04": "4.15.0.1137.137",
            "linux-aws-lts-18.04": "4.15.0.1137.137",
            "linux-aws-headers-4.15.0-1137": "4.15.0-1137.148",
            "linux-headers-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-cloud-tools-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-modules-extra-aws-lts-18.04": "4.15.0.1137.137",
            "linux-tools-aws-lts-18.04": "4.15.0.1137.137",
            "linux-tools-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-modules-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-image-unsigned-4.15.0-1137-aws": "4.15.0-1137.148",
            "linux-image-aws-lts-18.04": "4.15.0.1137.137"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1115.123

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-raspi2-headers-4.15.0-1115": "4.15.0-1115.123",
            "linux-image-4.15.0-1115-raspi2": "4.15.0-1115.123",
            "linux-headers-raspi2": "4.15.0.1115.112",
            "linux-buildinfo-4.15.0-1115-raspi2": "4.15.0-1115.123",
            "linux-tools-raspi2": "4.15.0.1115.112",
            "linux-raspi2": "4.15.0.1115.112",
            "linux-modules-4.15.0-1115-raspi2": "4.15.0-1115.123",
            "linux-image-raspi2": "4.15.0.1115.112",
            "linux-raspi2-tools-4.15.0-1115": "4.15.0-1115.123",
            "linux-tools-4.15.0-1115-raspi2": "4.15.0-1115.123",
            "linux-headers-4.15.0-1115-raspi2": "4.15.0-1115.123"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1102.113

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-oracle-lts-18.04": "4.15.0.1102.109",
            "linux-modules-extra-4.15.0-1102-oracle": "4.15.0-1102.113",
            "linux-oracle-tools-4.15.0-1102": "4.15.0-1102.113",
            "linux-image-unsigned-4.15.0-1102-oracle": "4.15.0-1102.113",
            "linux-image-oracle-lts-18.04": "4.15.0.1102.109",
            "linux-image-4.15.0-1102-oracle": "4.15.0-1102.113",
            "linux-oracle-headers-4.15.0-1102": "4.15.0-1102.113",
            "linux-signed-image-oracle-lts-18.04": "4.15.0.1102.109",
            "linux-headers-4.15.0-1102-oracle": "4.15.0-1102.113",
            "linux-buildinfo-4.15.0-1102-oracle": "4.15.0-1102.113",
            "linux-oracle-lts-18.04": "4.15.0.1102.109",
            "linux-signed-oracle-lts-18.04": "4.15.0.1102.109",
            "linux-tools-4.15.0-1102-oracle": "4.15.0-1102.113",
            "linux-tools-oracle-lts-18.04": "4.15.0.1102.109",
            "linux-modules-4.15.0-1102-oracle": "4.15.0-1102.113"
        }
    ]
}

Ubuntu:18.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-189.200

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-4.15.0-189-generic-lpae": "4.15.0-189.200",
            "linux-modules-4.15.0-189-generic-lpae": "4.15.0-189.200",
            "linux-headers-4.15.0-189": "4.15.0-189.200",
            "linux-cloud-tools-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-signed-image-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-modules-extra-4.15.0-189-generic": "4.15.0-189.200",
            "linux-signed-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-cloud-tools-virtual": "4.15.0.189.174",
            "linux-cloud-tools-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-tools-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-cloud-tools-generic-hwe-16.04": "4.15.0.189.174",
            "linux-tools-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-virtual-hwe-16.04-edge": "4.15.0.189.174",
            "linux-buildinfo-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-cloud-tools-lowlatency": "4.15.0.189.174",
            "linux-tools-virtual": "4.15.0.189.174",
            "linux-cloud-tools-virtual-hwe-16.04": "4.15.0.189.174",
            "linux-signed-image-lowlatency": "4.15.0.189.174",
            "linux-cloud-tools-4.15.0-189-generic": "4.15.0-189.200",
            "linux-image-extra-virtual": "4.15.0.189.174",
            "linux-source": "4.15.0.189.174",
            "linux-tools-generic-lpae-hwe-16.04-edge": "4.15.0.189.174",
            "linux-cloud-tools-generic": "4.15.0.189.174",
            "linux-headers-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-headers-4.15.0-189-generic-lpae": "4.15.0-189.200",
            "linux-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-cloud-tools-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-generic-lpae-hwe-16.04": "4.15.0.189.174",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-headers-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-signed-image-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-image-unsigned-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-tools-4.15.0-189-generic": "4.15.0-189.200",
            "linux-generic-hwe-16.04": "4.15.0.189.174",
            "linux-tools-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-virtual": "4.15.0.189.174",
            "linux-generic-lpae": "4.15.0.189.174",
            "linux-tools-generic": "4.15.0.189.174",
            "linux-image-virtual": "4.15.0.189.174",
            "linux-crashdump": "4.15.0.189.174",
            "linux-generic-lpae-hwe-16.04-edge": "4.15.0.189.174",
            "linux-generic": "4.15.0.189.174",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.189.174",
            "linux-signed-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-virtual-hwe-16.04": "4.15.0.189.174",
            "linux-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-signed-image-generic-hwe-16.04": "4.15.0.189.174",
            "linux-headers-generic-lpae": "4.15.0.189.174",
            "linux-image-generic-lpae": "4.15.0.189.174",
            "linux-cloud-tools-4.15.0-189": "4.15.0-189.200",
            "linux-tools-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-lowlatency": "4.15.0.189.174",
            "linux-signed-image-generic": "4.15.0.189.174",
            "linux-source-4.15.0": "4.15.0-189.200",
            "linux-cloud-tools-common": "4.15.0-189.200",
            "linux-signed-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-signed-generic-hwe-16.04": "4.15.0.189.174",
            "linux-libc-dev": "4.15.0-189.200",
            "linux-headers-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-headers-virtual-hwe-16.04": "4.15.0.189.174",
            "linux-doc": "4.15.0-189.200",
            "linux-image-extra-virtual-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-generic-hwe-16.04": "4.15.0.189.174",
            "linux-modules-4.15.0-189-generic": "4.15.0-189.200",
            "linux-headers-virtual-hwe-16.04-edge": "4.15.0.189.174",
            "linux-headers-generic": "4.15.0.189.174",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.189.174",
            "linux-headers-lowlatency": "4.15.0.189.174",
            "linux-image-lowlatency": "4.15.0.189.174",
            "linux-headers-virtual": "4.15.0.189.174",
            "linux-cloud-tools-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-image-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-modules-4.15.0-189-lowlatency": "4.15.0-189.200",
            "linux-virtual-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-host": "4.15.0-189.200",
            "linux-generic-lpae-hwe-16.04": "4.15.0.189.174",
            "linux-headers-generic-lpae-hwe-16.04-edge": "4.15.0.189.174",
            "linux-image-4.15.0-189-generic-lpae": "4.15.0-189.200",
            "linux-image-4.15.0-189-generic": "4.15.0-189.200",
            "linux-headers-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-tools-4.15.0-189": "4.15.0-189.200",
            "linux-image-unsigned-4.15.0-189-generic": "4.15.0-189.200",
            "linux-tools-generic-lpae": "4.15.0.189.174",
            "linux-virtual-hwe-16.04": "4.15.0.189.174",
            "linux-image-extra-virtual-hwe-16.04": "4.15.0.189.174",
            "linux-headers-generic-lpae-hwe-16.04": "4.15.0.189.174",
            "linux-signed-image-lowlatency-hwe-16.04": "4.15.0.189.174",
            "linux-signed-lowlatency": "4.15.0.189.174",
            "linux-cloud-tools-virtual-hwe-16.04-edge": "4.15.0.189.174",
            "linux-image-generic-hwe-16.04": "4.15.0.189.174",
            "linux-headers-generic-hwe-16.04": "4.15.0.189.174",
            "linux-signed-generic": "4.15.0.189.174",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.189.174",
            "linux-tools-common": "4.15.0-189.200",
            "linux-buildinfo-4.15.0-189-generic": "4.15.0-189.200",
            "linux-image-generic": "4.15.0.189.174",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.189.174",
            "linux-lowlatency": "4.15.0.189.174",
            "linux-headers-4.15.0-189-generic": "4.15.0-189.200",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.189.174",
            "linux-buildinfo-4.15.0-189-generic-lpae": "4.15.0-189.200",
            "linux-image-virtual-hwe-16.04": "4.15.0.189.174"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-4.15

Package

Name
linux-azure-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1146.161

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-signed-image-azure-lts-18.04": "4.15.0.1146.116",
            "linux-tools-azure-lts-18.04": "4.15.0.1146.116",
            "linux-signed-azure-lts-18.04": "4.15.0.1146.116",
            "linux-image-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-tools-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-buildinfo-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-azure-lts-18.04": "4.15.0.1146.116",
            "linux-image-azure-lts-18.04": "4.15.0.1146.116",
            "linux-azure-4.15-cloud-tools-4.15.0-1146": "4.15.0-1146.161",
            "linux-azure-4.15-tools-4.15.0-1146": "4.15.0-1146.161",
            "linux-cloud-tools-azure-lts-18.04": "4.15.0.1146.116",
            "linux-image-unsigned-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-modules-extra-azure-lts-18.04": "4.15.0.1146.116",
            "linux-headers-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-modules-extra-4.15.0-1146-azure": "4.15.0-1146.161",
            "linux-headers-azure-lts-18.04": "4.15.0.1146.116",
            "linux-azure-4.15-headers-4.15.0-1146": "4.15.0-1146.161",
            "linux-cloud-tools-4.15.0-1146-azure": "4.15.0-1146.161"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-aws-hwe

Package

Name
linux-aws-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1137.148~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-aws-hwe-cloud-tools-4.15.0-1137": "4.15.0-1137.148~16.04.1",
            "linux-modules-extra-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-image-unsigned-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-image-4.15.0-1137-aws-hwe": "4.15.0-1137.148~16.04.1",
            "linux-modules-extra-aws-hwe": "4.15.0.1137.124",
            "linux-buildinfo-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-aws-headers-4.15.0-1137": "4.15.0-1137.148~16.04.1",
            "linux-headers-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-cloud-tools-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-aws-hwe": "4.15.0.1137.124",
            "linux-headers-aws-hwe": "4.15.0.1137.124",
            "linux-tools-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-image-aws-hwe": "4.15.0.1137.124",
            "linux-aws-edge": "4.15.0.1137.124",
            "linux-modules-4.15.0-1137-aws": "4.15.0-1137.148~16.04.1",
            "linux-tools-aws-hwe": "4.15.0.1137.124",
            "linux-aws-hwe-tools-4.15.0-1137": "4.15.0-1137.148~16.04.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-189.200~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-headers-oem": "4.15.0.189.176",
            "linux-headers-4.15.0-189": "4.15.0-189.200~16.04.1",
            "linux-cloud-tools-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-hwe-tools-4.15.0-189": "4.15.0-189.200~16.04.1",
            "linux-signed-image-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-modules-extra-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-signed-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-buildinfo-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-cloud-tools-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-tools-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-tools-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-tools-virtual-hwe-16.04-edge": "4.15.0.189.176",
            "linux-cloud-tools-generic-hwe-16.04": "4.15.0.189.176",
            "linux-cloud-tools-virtual-hwe-16.04": "4.15.0.189.176",
            "linux-cloud-tools-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-oem": "4.15.0.189.176",
            "linux-headers-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-cloud-tools-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-tools-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-signed-image-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-unsigned-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-generic-hwe-16.04": "4.15.0.189.176",
            "linux-tools-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-headers-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-signed-image-oem": "4.15.0.189.176",
            "linux-signed-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.189.176",
            "linux-tools-virtual-hwe-16.04": "4.15.0.189.176",
            "linux-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-signed-image-generic-hwe-16.04": "4.15.0.189.176",
            "linux-signed-generic-hwe-16.04": "4.15.0.189.176",
            "linux-signed-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-tools-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-source-4.15.0": "4.15.0-189.200~16.04.1",
            "linux-headers-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-headers-virtual-hwe-16.04": "4.15.0.189.176",
            "linux-image-extra-virtual-hwe-16.04-edge": "4.15.0.189.176",
            "linux-tools-generic-hwe-16.04": "4.15.0.189.176",
            "linux-modules-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-headers-virtual-hwe-16.04-edge": "4.15.0.189.176",
            "linux-tools-oem": "4.15.0.189.176",
            "linux-hwe-cloud-tools-4.15.0-189": "4.15.0-189.200~16.04.1",
            "linux-cloud-tools-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-oem": "4.15.0.189.176",
            "linux-virtual-hwe-16.04-edge": "4.15.0.189.176",
            "linux-modules-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-image-4.15.0-189-lowlatency": "4.15.0-189.200~16.04.1",
            "linux-signed-oem": "4.15.0.189.176",
            "linux-headers-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-headers-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-image-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-image-unsigned-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-virtual-hwe-16.04": "4.15.0.189.176",
            "linux-signed-image-lowlatency-hwe-16.04": "4.15.0.189.176",
            "linux-image-extra-virtual-hwe-16.04": "4.15.0.189.176",
            "linux-cloud-tools-virtual-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-generic-hwe-16.04": "4.15.0.189.176",
            "linux-headers-generic-hwe-16.04": "4.15.0.189.176",
            "linux-buildinfo-4.15.0-189-generic": "4.15.0-189.200~16.04.1",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.189.176",
            "linux-image-virtual-hwe-16.04": "4.15.0.189.176"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1131.147~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-gke": "4.15.0.1131.127",
            "linux-tools-gcp": "4.15.0.1131.127",
            "linux-modules-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-headers-gke": "4.15.0.1131.127",
            "linux-gcp": "4.15.0.1131.127",
            "linux-image-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-headers-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-headers-gcp": "4.15.0.1131.127",
            "linux-modules-extra-gcp": "4.15.0.1131.127",
            "linux-image-unsigned-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-buildinfo-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-modules-extra-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-image-gcp": "4.15.0.1131.127",
            "linux-gke": "4.15.0.1131.127",
            "linux-gcp-headers-4.15.0-1131": "4.15.0-1131.147~16.04.1",
            "linux-modules-extra-gke": "4.15.0.1131.127",
            "linux-tools-4.15.0-1131-gcp": "4.15.0-1131.147~16.04.1",
            "linux-gcp-tools-4.15.0-1131": "4.15.0-1131.147~16.04.1",
            "linux-tools-gke": "4.15.0.1131.127"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1102.113~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-tools-oracle": "4.15.0.1102.86",
            "linux-modules-extra-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1",
            "linux-oracle-tools-4.15.0-1102": "4.15.0-1102.113~16.04.1",
            "linux-image-unsigned-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1",
            "linux-image-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1",
            "linux-oracle-headers-4.15.0-1102": "4.15.0-1102.113~16.04.1",
            "linux-signed-image-oracle": "4.15.0.1102.86",
            "linux-headers-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1",
            "linux-buildinfo-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1",
            "linux-signed-oracle": "4.15.0.1102.86",
            "linux-oracle": "4.15.0.1102.86",
            "linux-headers-oracle": "4.15.0.1102.86",
            "linux-tools-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1",
            "linux-image-oracle": "4.15.0.1102.86",
            "linux-modules-4.15.0-1102-oracle": "4.15.0-1102.113~16.04.1"
        }
    ]
}